# Uses of Enum
com.databricks.jdbc.api.ExecutionState

Packages that use ExecutionState
Package
Description
com.databricks.jdbc.api

## Uses of ExecutionState in com.databricks.jdbc.api

Subclasses with type arguments of type ExecutionState in com.databricks.jdbc.api
Modifier and Type
Class
Description
`enum`
`ExecutionState`
Represents the possible states of a SQL statement execution in Databricks.
Methods in com.databricks.jdbc.api that return ExecutionState
Modifier and Type
Method
Description
`ExecutionState`
IExecutionStatus.`getExecutionState()`
Returns the current state of the statement execution.
`static ExecutionState`
ExecutionState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExecutionState[]`
ExecutionState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.